#ifndef _renderPassFont

#define _renderPassFont


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include "../mesh.h"

#include "../program.h"

#include "../fontRenderer.h"

#include "int.h"

#include "../shader.h"

#include "../vector2.h"

#include "../event.h"

#include "renderPass.h"


typedef struct font{

	struct program * program;

	struct mesh * mesh;

	fontRenderer * font;

	sampler2D * samplerArray;


} font;

char * font_textFromNumber( font * this, int i );

void font_prepare( font * this );

void font_render( font * this );

font font_new(  );

font * font_newPointer(  );

#endif


typedef struct font font;



